/*
 * Segment 2 (KEx), SWE LMS-TIC3
 * Copyright (C) 2016 BitCtrl Systems GmbH 
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weißenfelser Straße 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.lmstic3.vew;

import java.util.Properties;

/**
 * Klasse mit allen f&uuml;r die Applikation notwendigen Parametern.
 *
 * @author BitCtrl Systems GmbH, Gieseler
 */
@SuppressWarnings("nls")
public final class LMSProperties extends Properties {
	/**
	 * VersionUID.
	 */
	private static final long serialVersionUID = 1L;

	/** Einziges Objekt dieser Klasse (Singleton). */
	private static LMSProperties defaultProperties = new LMSProperties();

	// Properties aus Aufrufparametern
	/**
	 * Aufrufparameter Landesmeldestelle.
	 */
	public static final String PROP_KEY_LMS = "-LMS";

	/**
	 * Aufrufparameter Pr&auml;fix der Dateinamen der an die LMS zu versendenden
	 * Dateien.
	 */
	public static final String PROP_KEY_PRUEFESCHEMA = "-pruefeSchema";

	/**
	 * Aufrufparameter Dateiverzeichnis, in das Meldungsdateien kopiert werden.
	 */
	// public static final String PROP_KEY_SICHERUNGSVERZEICHNIS =
	// "-sicherungsVerzeichnis";

	/**
	 * Aufrufparameter Anzahl Tage, die Dateien im Sicherungsverzeichnis
	 * gespeichert werden.
	 */
	// public static final String PROP_KEY_SICHERUNGSZEIT = "-sicherungsZeit";

	// Default-Werte
	/**
	 * Standardwert f&uuml;r dem Pr&auml;fix der Dateinamen der an die LMS zu
	 * versendenden Dateien.
	 */
	public static final String DEFAULT_VERSANDDATEIPREFIX = "vrzrds";

	/**
	 * Standardwert f&uuml;r das Sicherungsverzeichnis.
	 */
	// public static final String DEFAULT_SICHERUNGSVERZEICHNIS = "";

	/**
	 * Standardwert f&uuml;r die Sicherungszeit.
	 */
	// public static final int DEFAULT_SICHERUNGSZEIT = 5;

	/**
	 * Dateiname der KeepAlive-Datei.
	 */
	public static final String KEEP_ALIVE_DATEINAME = "KeepAlive.xml";

	/**
	 * Bestimmt das einzige Objekt dieser Klasse (Singleton).
	 *
	 * @return Einziges Objekt dieser Klasse (Singleton).
	 */
	public static LMSProperties getInstance() {
		return LMSProperties.defaultProperties;
	}

	/**
	 * Privater Konstruktor.
	 */
	private LMSProperties() {
		// setProperty(LMSProperties.PROP_KEY_SICHERUNGSVERZEICHNIS,
		// LMSProperties.DEFAULT_SICHERUNGSVERZEICHNIS);
		// setProperty(LMSProperties.PROP_KEY_SICHERUNGSZEIT,
		// String.valueOf(LMSProperties.DEFAULT_SICHERUNGSZEIT));
	}

}
